#
# spec file for package kruler (Version 4.7.0)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           kruler
BuildRequires:  libkde4-devel
BuildRequires:  oxygen-icon-theme-large
License:        GPLv2+
Group:          Productivity/Graphics/Other
Summary:        Screen Ruler
Provides:       kde4-kruler = 4.3.0
Obsoletes:      kde4-kruler < 4.3.0
Url:            http://www.kde.org
Version:        4.7.0
Release:        1
Source0:        %{name}-%version.tar.bz2
Patch0:         4_7_BRANCH.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description 
A screen ruler for the K Desktop Environment

%prep
%setup -q -n %{name}-%version
%patch0

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %makeinstall
  %suse_update_desktop_file -r kruler         Utility DesktopUtility
  %kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_kde4_bindir/kruler
%_kde4_applicationsdir/kruler.desktop
%_kde4_appsdir/kruler/
%_datadir/icons/hicolor/*/apps/kruler*
%_datadir/icons/hicolor/*/actions/kruler*
%_kde4_htmldir/en//kruler/

%changelog
